## SYNTAX

           pine [ options ] [ address , address ]

           pinef [ options ] [ address , address ]

## DESCRIPTION

           Pine  is  a screen-oriented message-handling tool.  In its
           default configuration, Pine offers an  intentionally  lim
           ited  set  of functions geared toward the novice user, but
           it also has a growing list of  optional  "power-user"  and
           personal-preference  features.  pinef is a variant of Pine
           that uses function keys rather than mnemonic single-letter
           commands.  Pine's basic feature set includes:

                  View,  Save,  Export, Delete, Print, Reply and For
                  ward messages.

                  Compose messages in a  simple  editor  (Pico)  with
                  word-wrap  and a spelling checker.  Messages may be
                  postponed for later completion.

                  Full-screen selection  and  management  of  message
                  folders.

                  Address  book to keep a list of long or frequently-
                  used addresses.  Personal distribution lists may be
                  defined.   Addresses  may be taken into the address
                  book from incoming mail without retyping them.

                  New mail checking and notification occurs automati
                  cally every 2.5 minutes and after certain commands,
                  e.g. refresh-screen (Ctrl-L).

                  On-line, context-sensitive help screens.

           Pine supports  MIME  (Multipurpose  Internet  Mail  Exten
           sions),  an  Internet  Standard for representing multipart
           and multimedia data in email.  Pine  allows  you  to  save
           MIME  objects to files, and in some cases, can also initi
           ate the correct program for viewing the object.   It  uses
           the  system's mailcap configuration file to determine what
           program can process a particular MIME object type.  Pine's
           message  composer  does not have integral multimedia capa
           bility, but any type of data file --including multimedia--
           can  be  attached  to a text message and sent using MIME's
           encoding rules.  This allows any group of individuals with
           MIME-capable  mail  software  (e.g. Pine, PC-Pine, or many
           other programs) to exchange formatted  documents,  spread-
           sheets, image files, etc, via Internet email.

           Pine  uses  the c-client messaging API to access local and
           remote mail folders. This library provides  a  variety  of
                               composer.

           -attach file        Send mail with the listed file  as  an
                               attachment.

           -attachlist file-list
                               Send mail with the listed file-list as
                               an attachments.

           -attach_and_delete file
                               Send mail with the listed file  as  an
                               attachment,  and remove the file after
                               the message is sent.

           -aux local_directory
                               PC-Pine only. When using a remote con
                               figuration  (-p  <remote_config>) this
                               tells PC-Pine the local  directory  to
                               use  for storing auxiliary files, like
                               debug files, address books, and signa
                               ture files.

           -bail               Exit  if  the  pinerc  file  does  not
                               exist. This might  be  useful  if  the
                               config  file  is  accessed  using some
                               remote  filesystem  protocol.  If  the
                               remote  mount  is  missing  this  will
                               cause Pine to quit instead of creating
                               a new pinerc.

           -c context-number   context-number  is  the  number corre
                               sponding to the  folder-collection  to
                               which  the  -f  command  line argument
                               should be applied.  By default the  -f
                               argument   is  applied  to  the  first
                               defined folder-collection.

           -conf               Produce a  sample/fresh  copy  of  the
                               system-wide     configuration    file,
                               pine.conf,  on  the  standard  output.
                               This  is  distinct  from  the per-user
                               .pinerc file.

           -convert_sigs -p pinerc
                               Convert signature files  into  literal
                               signatures.

           -copy_abook <local_abook> <remote_abook>
                               Copy  the local address book file to a
                               remote address book folder.

           -copy_pinerc <local_pinerc> <remote_pinerc>
                               address  book  file.  The mtime of the
                               address book  file  at  the  time  the
                               index  file was built is stored inside
                               the  index  file  and   a   comparison
                               between that stored value and the cur
                               rent mtime of the address book file is
                               done  when somebody runs pine.  If the
                               mtime has changed since the index file
                               was  made,  then  pine  will  want  to
                               rebuild  the  index  file.   In  other
                               words, don't build the index file with
                               this option and then copy the  address
                               book to its final destination in a way
                               which changes the file's mtime.

           -d debug-level      Output diagnostic info at  debug-level
                               (0-9)  to the current .pine-debug[1-4]
                               file.  A value of  0  turns  debugging
                               off  and  suppresses  the  .pine-debug
                               file.

           -d key[=val]        Fine tuned output of  diagnostic  mes
                               sages  where "flush" causes debug file
                               writing without buffering, "timestamp"
                               appends each message with a timestamp,
                               "imap=n" where n is between  0  and  4
                               representing   none  to  verbose  IMAP
                               telemetry   reporting,    "numfiles=n"
                               where  n  is  between  0 and 31 corre
                               sponding to the number of debug  files
                               to  maintain,  and "verbose=n" where n
                               is  between  0  and  9  indicating  an
                               inverse  threshold for message output.

           -f folder           Open folder (in first  defined  folder
                               collection,   use   -c  n  to  specify
                               another collection) instead of  INBOX.

           -F file             Open  named  text  file  and view with
                               Pine's browser.

           -h                  Help: list valid command-line options.

           -i                  Start up in the FOLDER INDEX screen.

           -I keystrokes       Initial   (comma  separated  list  of)
                               keystrokes which Pine  should  execute
                               on startup.

           -k                  Use  function  keys for commands. This
                               is the same  as  running  the  command
                               pinef.

           -pinerc file        Output fresh pinerc  configuration  to
                               file, preserving the settings of vari
                               ables that the  user  has  made.   Use
                               file set to ``-'' to make output go to
                               standard out.  <IP>  -registry cmd  20
                               For  PC-Pine only, this option affects
                               the values of Pine's registry entries.
                               Possible   values  for  cmd  are  set,
                               clear,  and  dump.   Set  will  always
                               reset  Pine's registry entries accord
                               ing to its  current  settings.   Clear
                               will  clear the registry values.  Dump
                               will display  the  values  of  current
                               registry settings.  Note that the dump
                               command is currently disabled.   With
                               out the -registry option, PC-Pine will
                               write values into the registry only if
                               there currently aren't any values set.

           -r                  Use restricted/demo mode.   Pine  will
                               only send mail to itself and functions
                               like save and export are restricted.

           -sort order         Sort the FOLDER INDEX display  in  one
                               of   the  following  orders:  arrival,
                               date,  subject,  orderedsubj,  thread,
                               from, size, score, to, cc, or reverse.
                               Arrival order  is  the  default.   The
                               OrderedSubj    choice    simulates   a
                               threaded  sort.   Any  sort   may   be
                               reversed  by  adding  /reverse  to it.
                               Reverse  by  itself  is  the  same  as
                               arrival/reverse.

           -supported          Some  options  may  or may not be sup
                               ported depending on how Pine was  com
                               piled.   This  is  a  way to determine
                               which options  are  supported  in  the
                               particular copy of Pine you are using.

           -url url            Open the given url.   Cannot  be  used
                               with -f, -F, or -attach options.

           -v                  Version: Print version information.

           -version            Version: Print version information.

           -x config           Use  configuration  exceptions in con
                               fig.  Exceptions are used to  override
                               your  default  pinerc  settings  for a
                               particular platform, can  be  a  local
                               file or a remote folder.

           dence:

            o built-in defaults.
            o system-wide pine.conf file.
            o   personal  .pinerc  file  (may  be  set  via  built-in
           Setup/Config menu.)
            o command-line options.
            o system-wide pine.conf.fixed file.

           There is one exception to the rule that configuration val
           ues  are  replaced  by  the  value of the same option in a
           higher-precedence file: the feature-list variable has val
           ues  that  are  additive, but can be negated by prepending
           "no-" in front of an individual feature  name.  Unix  Pine
           also uses the following environment variables:

             TERM
             DISPLAY       (determines  if  Pine  can  display  IMAGE
           attachments.)
             SHELL       (if not set, default is /bin/sh )
             MAILCAPS    (semicolon delimited list of path  names  to
           mailcap files)

## FILES

           /var/mail/xxxx              Default  folder  for  incoming
           mail.
           ~/Mail                      Default  directory  for   mail
           folders.
           ~/.addressbook              Default address book file.
           ~/.addressbook.lu           Default   address  book  index
           file.
           ~/.pine-debug[1-4]          Diagnostic log for  debugging.
           ~/.pinerc                   Personal pine config file.
           ~/.newsrc                   News  subscription/state file.
           ~/.signature                Default signature file.
           ~/.mailcap                  Personal   mail   capabilities
           file.
           ~/.mime.types               Personal   file  extension  to
           MIME type mapping
           /etc/mailcap                System-wide mail  capabilities
           file.
           /etc/mime.types             System-wide  file ext. to MIME
           type mapping
           /usr/lib/pine.info          Local pointer to system admin
           istrator.
           /etc/pine.conf              System-wide      configuration
           file.
           /etc/pine.conf.fixed         Non-overridable configuration
           file.
           /tmp/.\var\mail\xxxx        Per-folder mailbox lock files.
           ~/.pine-interrupted-mail    Message which was interrupted.
           ~/Mail/postponed-msgs       For postponed messages.
           C-Client messaging API library,  included  in  the  source
           distribution.

## ACKNOWLEDGMENTS

           The University of Washington Pine development team (part of the UW Office
           of Computing & Communications) includes:

            Project Leader:           Mike Seibel
            Principal authors:        Mike Seibel, Steve Hubert, Laurence Lundblade*
            C-Client library & IMAPd: Mark Crispin
            Pico, the PIne COmposer:  Mike Seibel
            Documentation:            Many people!
            PC-Pine for Windows:      Tom Unger, Mike Seibel
            Project oversight:        Terry Gray, Lori Stevens
            Principal Patrons:        Ron Johnson, Mike Bryant
            Additional support:       NorthWestNet
            Initial Pine code base:   Elm, by Dave Taylor & USENET Community Trust
            Initial Pico code base:   MicroEmacs 3.6, by Dave G. Conroy
            User Interface design:    Inspired by UCLA's "Ben" mailer for MVS
            Suggestions/fixes/ports:  Folks from all over!

              *Emeritus

           Copyright 1989-2003 by the University of Washington.
           Pine and Pico are trademarks of the University of Washington.

           $Date: 2004/08/17 19:52:03 $

                               Version 4.53                   pine(1)